Debian Bug report logs - #721392
ITP: acr -- autoconf like tool

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ruben Pollan <meskio@sindominio.net>

Date: Sat, 31 Aug 2013 01:15:02 UTC

Owned by: Ruben Pollan <meskio@sindominio.net>

Severity: wishlist

Fixed in version acr/0.9.6-1

Done: Ruben Pollan <meskio@sindominio.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#721392; Package wnpp. (Sat, 31 Aug 2013 01:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ruben Pollan <meskio@sindominio.net>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sat, 31 Aug 2013 01:15:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ruben Pollan <meskio@sindominio.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: acr -- autoconf like tool
Date: Sat, 31 Aug 2013 03:06:09 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Ruben Pollan <meskio@sindominio.net>

* Package name    : acr
  Version         : 0.9.4
  Upstream Author : pancake <pancake@nopcode.org>
* URL             : http://www.nopcode.org/wk.php/Acr
* License         : GPL-2+
  Programming Lang: shell
  Description     : autoconf like tool

 ACR is an autoconf like tool that allows you to create configure scripts for 
 your programs. The main aim of this tool is to teach developers how to create 
 portable builds of their tools, just using generic functions wrapped by acr to 
 generate portable shellscript.
 .
 Pros:
   * Easy to learn / implement.
   * Faster/smaller final configure script.
   * Own syntax, not complex m4 macros.
   * Reverse engineering tool to recover .acr files from the final configure 
     script.
   * Good documentation and tutorials.
   * vim syntax highlighting for configure.acr files 
     ($PREFIX/share/acr/vim/install.sh)
   * Debugging support (-d)
   * Integrated support for java, bash, perl, tcl, c, c++, ruby and python.
   * Recursive configure script calls.
   * Progress bar in generation stage.
 .
 Cons:
   * Not recommended for huge projects
   * Slow script generation parsing huge configuration files
   * No automake replace. (just type clean makefiles and acr substs)
   * Not enought tested (only on free operating systems (Open|Net|Free|Dfly)BSD,
     GNU systems, and Darwin).
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 23 Sep 2013 08:09:04 GMT) Full text and rfc822 format available.

Reply sent to Ruben Pollan <meskio@sindominio.net>:
You have taken responsibility. (Fri, 11 Oct 2013 01:03:09 GMT) Full text and rfc822 format available.

Notification sent to Ruben Pollan <meskio@sindominio.net>:
Bug acknowledged by developer. (Fri, 11 Oct 2013 01:03:09 GMT) Full text and rfc822 format available.

Message #12 received at 721392-close@bugs.debian.org (full text, mbox):

From: Ruben Pollan <meskio@sindominio.net>
To: 721392-close@bugs.debian.org
Subject: Bug#721392: fixed in acr 0.9.6-1
Date: Fri, 11 Oct 2013 01:00:08 +0000
Source: acr
Source-Version: 0.9.6-1

We believe that the bug you reported is fixed in the latest version of
acr, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 721392@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ruben Pollan <meskio@sindominio.net> (supplier of updated acr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 17 Sep 2013 22:31:20 +0200
Source: acr
Binary: acr
Architecture: source all
Version: 0.9.6-1
Distribution: unstable
Urgency: low
Maintainer: Ruben Pollan <meskio@sindominio.net>
Changed-By: Ruben Pollan <meskio@sindominio.net>
Description: 
 acr        - autoconf like tool
Closes: 721392
Changes: 
 acr (0.9.6-1) unstable; urgency=low
 .
   * Initial release. (Closes: #721392)
Checksums-Sha1: 
 4f9cb3a4dbd5aba25f16703b8fddde09f8d5c9b0 1659 acr_0.9.6-1.dsc
 0ebeab2db240d0702d7625039e0c4a53cbd37e8f 71852 acr_0.9.6.orig.tar.gz
 fa3a129aff5a17db900357e0d129c85c9c7d8e24 2038 acr_0.9.6-1.debian.tar.gz
 0e7ba4e4c3d987346f9d16f0bfb923c047363e22 58216 acr_0.9.6-1_all.deb
Checksums-Sha256: 
 0187b56a203558ae2236ccf0d73ef633fb95c692dd2bfd5ed3e24d805ea3ef3e 1659 acr_0.9.6-1.dsc
 1ee0b7a2fdd93a2891c700e8992d3636abe62c2952774bc062177cf448d791f8 71852 acr_0.9.6.orig.tar.gz
 0b9137aa3b164b84890d22e0e155cd86710457a6300ccd667836b58447d2ca09 2038 acr_0.9.6-1.debian.tar.gz
 7d8a11dd30889fc6f3847176221e55f7ad87662bc5676a95923a2b6d8b4b0ee9 58216 acr_0.9.6-1_all.deb
Files: 
 20cf163de2d25d1a8c30e8ae11175166 1659 devel optional acr_0.9.6-1.dsc
 ae700dfebbe87c5606c39f1c62ad1f0f 71852 devel optional acr_0.9.6.orig.tar.gz
 ceb05add2047c835b97c42396357d89e 2038 devel optional acr_0.9.6-1.debian.tar.gz
 f6281370344650bb1dac69d36bbf203a 58216 devel optional acr_0.9.6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCgAGBQJSP1aFAAoJEDEWul6f+mmjLjgP/0DmGTKAjzMYXKBNnFfYlGd+
3ulOgcfmqXTTM4T3if0uZTQHX3kAH8ES572d6ZrfA6a4duPFw/qpujZnvZQk/InH
w/lfKJz5ywpJKd6EJPAGcum7eVw265h8VhC+rdX26wZL922iRMNYfktdRRwaNki7
ekLZgzwAtYXIBrVWNAMNNKPp98evGaeZFHWzZtdgXghb1V+h1LDNXNwJuuQEAIIO
XYQuf1/h5mg2aorwRDey3ZDG7dE5VEuMqktrZbagdp/nyUCQYf07FKd7MxrR3EjG
eNUWZ7IxR+nsSAzee2GcrTgYM6J1TuIG5QKf0mgYI9/V+DjE4+HJDfufxsAZIlYI
+u6+LajbhURHqrz0ldw2cGzP1fYPlOq5PyZgPZAKSlzjNLW1XK9Y1eTIggm9oHwP
SV93aNJQwPeUCb+OvMDPBoii8VBvd7Ioc1Ptll6BUVEBmCPNI1/2SCgJrhI8ocgN
qPg5UfJTdKaf93RtwqNcqw98XjvKZOLZ0qC3OrB81giY5b3KqoFxrB5I+3cX0wOD
LgIKhamm3NrTbKuTcwig8mgyRwzNiHcMshCaMwLC7SavZKxdODIUaTvRagFqfJLe
VMQhQcj7BD1iZ79/acpZeSpqkTayylMeaZQ6GqatjLqM9w5jxFTPzqfAnPuWB2iz
ZSvijTzXMAcmbMeVZlQn
=TIrk
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 08 Nov 2013 07:35:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 07:02:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.